Bug 3181 - smbcontrol: --help enhancement
smbcontrol: --help enhancement
Status: RESOLVED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Docs
3.0.20b
All Linux
: P3 minor
: none
Assigned To: Samba Bugzilla Account
Samba Documentation QA Contact~
http://bugs.debian.org/281970
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-17 14:14 UTC by Noël Köthe
Modified: 2008-09-29 13:19 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Noël Köthe 2005-10-17 14:14:29 UTC
Hello,

# smbcontrol --help
only gives half of
# smbcontrol
help output! They should give the same. Also the latter has a few
lines not explained:
        ping                          Elicit a response
        profile
        profilelevel
        debuglevel                    Display current debuglevels
        dmalloc-mark
        dmalloc-log-changed
        shutdown                      Shut down daemon

Thank you.
Comment 1 James Peach 2007-05-18 23:59:09 UTC
Fixed in rev 23010.
Comment 2 Debian samba package maintainers (PUBLIC MAILING LIST) 2007-06-22 09:34:20 UTC
3.0.25a its still different.

will check in next release again...

noel@d.o
Comment 3 Noël Köthe 2007-08-26 06:19:16 UTC
Hello,

this is still not the same:
$ smbcontrol -V
Version 3.0.25b
$ smbcontrol --help
Usage: smbcontrol [OPTION...] <destination> <message-type> <parameters>
  -t, --timeout=TIMEOUT              Set timeout value in seconds

Help options:
  -?, --help                         Show this help message
  --usage                            Display brief usage message

Common samba options:
  -d, --debuglevel=DEBUGLEVEL        Set debug level
  -s, --configfile=CONFIGFILE        Use alternate configuration file
  -l, --log-basename=LOGFILEBASE     Base name for log files
  -V, --version                      Print version
$ smbcontrol 
Usage: smbcontrol [OPTION...] <destination> <message-type> <parameters>
  -t, --timeout=TIMEOUT              Set timeout value in seconds

Help options:
  -?, --help                         Show this help message
  --usage                            Display brief usage message

Common samba options:
  -d, --debuglevel=DEBUGLEVEL        Set debug level
  -s, --configfile=CONFIGFILE        Use alternate configuration file
  -l, --log-basename=LOGFILEBASE     Base name for log files
  -V, --version                      Print version

<destination> is one of "nmbd", "smbd", "winbindd" or a process ID

<message-type> is one of:
        debug                         Set debuglevel
        force-election                Force a browse election
        ping                          Elicit a response
        profile                       
        inject                        Inject a fatal signal into a running smbd
        stacktrace                    Display a stack trace of a daemon
        profilelevel                  
        debuglevel                    Display current debuglevels
        printnotify                   Send a print notify message
        close-share                   Forcibly disconnect a share
        samsync                       Initiate SAM synchronisation
        samrepl                       Initiate SAM replication
        pool-usage                    Display talloc memory usage
        dmalloc-mark                  
        dmalloc-log-changed           
        shutdown                      Shut down daemon
        drvupgrade                    Notify a printer driver has changed
        reload-config                 Force smbd or winbindd to reload config file
        nodestatus                    Ask nmbd to do a node status request
        online                        Ask winbind to go into online state
        offline                       Ask winbind to go into offline state
        onlinestatus                  Request winbind online status
        noop                          Do nothing

"smbcontrol --help" is missing the <destination> and <message-type> information.

Is this intended?

thx.
Comment 4 Jelmer Vernooij 2008-09-29 13:19:24 UTC
Verified this is fixed in 3.2.